staempfli/magento2-code-generator dev-master

Staempfli AG - Magento 2 Code Generator Tool

Type

staempfli-mage-tool

License

GPL-3.0

Requires
Requires (dev)
Suggests

None

Provides

None

Conflicts

None

Replaces

None

Magento 2 Code Generator Tool

License Version Code Climate Total Downloads

Installation

Option1: Downloading .phar

wget https://github.com/staempfli/magento2-code-generator/releases/download/<version>/mg2-codegen.phar
chmod +x ./mg2-codegen.phar
# use the command globally on your system
sudo mv ./mg2-codegen.phar /usr/local/bin/mg2-codegen

Option2: Using Composer

Install globally on your system with the following command:

composer global require "staempfli/magento2-code-generator"

Just make sure you have the composer bin dir in your $PATH. The default value is ~/.composer/vendor/bin/

Note: if you have dependency problems with other projects installed globally, we recommend you to use consolidation/cgr

Usage

  1. List all templates: mg2-codegen template:list

  2. Generate template: mg2-codegen template:generate <template>

NOTE:

  • template:generate command must be executed on the module root folder where the registration.php file is. You can also use option --root-dir to specify this path, if you execute it from a different location.

  • When creating a new module, you must create first the module parent folder and execute the command from there.

Demo

Video Demo

You can also watch a more detailed video demos on Youtube:

Available Templates

Featured
  ajaxHtml
  consoleCommand
  crudEAV
  crudEAVWithFile
  frontController
  requireJs
  logger
  widget

More Templates
  ajaxJson
  ajaxRestApi
  blockHtml
  crud
  crudEAVWithMultipleFiles
  customConfigXml
  customDBConnection
  email
  emailFormRequest
  fileEAVAttribute
  fileEAVMultiple
  fileModel
  fileProcessor
  fotoramaSlider
  language
  model
  module

Create new Templates

Clone and Install Project

For that you cannot use the .phar binary, so you need to install the project:

Contribute with new Templates

Private Templates

If current templates do not fill your needs, you can easily create your own templates. Just follow the manual:

Prerequisites

  • PHP >= 5.6.*

Developers

Licence

(c) 2016 Staempfli AG